> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Reward Trigger Target

> A `GET` to the `/rewards/{reward}/trigger-target/{type}` endpoint allows your application to retrieve reward trigger target.



## OpenAPI

````yaml get /v3/rewards/{reward}/trigger-target/{type}
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/rewards/{reward}/trigger-target/{type}:
    get:
      tags:
        - Reward
      summary: Read Reward Trigger Target
      description: >-
        A `GET` to the `/rewards/{reward}/trigger-target/{type}` endpoint allows
        your application to retrieve reward trigger target.
      operationId: reward.triggerTarget
      parameters:
        - name: reward
          in: path
          required: true
          description: The reward ID
          schema:
            type: integer
        - name: type
          in: path
          required: true
          schema:
            type: string
      responses:
        '204':
          description: |-
            event((new Balance\Updated($reward->profile)));



            No content
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````